ARTSCLASSLIB = ../../classes/lib/libArts.la
ARTSCLASSINC = -I../../classes/include
CXX = @CXX@
CXXFLAGS = @CXXFLAGS@
top_builddir = ../..
LIBTOOL = @ /bin/sh $(top_builddir)/libtool

all: artsportms

clean:
	rm -f *.o *.lo artsportms
	rm -Rf .libs

strip:: artsportms
	@-if [ -f .libs/artsportms ]; then \
	  strip .libs/artsportms ; \
	else \
	  strip artsportms ; \
	fi

artsportms: artsportms.o ${ARTSCLASSLIB}
	${LIBTOOL} ${CXX} ${CXXFLAGS} artsportms.o ${ARTSCLASSLIB} @LIBS@ -o artsportms

artsportms.o: artsportms.cc ../../classes/include/*.hh
	${CXX} ${CXXFLAGS} ${ARTSCLASSINC} -c artsportms.cc

install:: strip
	${LIBTOOL} ../../install-sh -c -m 555 artsportms @bindir@/artsportms
	../../install-sh -c -m 444 artsportms.man @mandir@/manl/artsportms.l


tarball::
	@TAR@ -rvf ../../@PKG_VERSION@_@OSNAME@.tar @bindir@/artsportms
	@TAR@ -rvf ../../@PKG_VERSION@_@OSNAME@.tar @mandir@/manl/artsportms.l


